package com.company.bugeventlistener.listener

import com.company.bugeventlistener.entity.Child
import io.jmix.core.event.EntitySavingEvent
import org.springframework.context.event.EventListener
import org.springframework.stereotype.Component

@Component("bug_ChildEventListener")
open class ChildEventListener {

    @EventListener
    open fun onChildSaving(event: EntitySavingEvent<Child>) {
        event.entity.data = "initialized by event listener"
    }
}